Subject: Re: [RFC 0/3] VLANs, DSA switches and multiple bridges

From: Russell King - ARM Linux admin <[email-masked]>
Date: Wed, 1 Jan 2020 18:29:31 +0000

On Wed, Jan 01, 2020 at 07:07:27PM +0100, Pali Rohár wrote:
> On Wednesday 01 January 2020 17:30:14 Russell King - ARM Linux admin wrote:
> > I think the most important thing to do if you're suffering problems
> > like this is to monitor and analyse packets being received from the
> > DSA switch on the host interface:
> > 
> > # tcpdump -enXXi $host_dsa_interface
> 
> Hello Russell! Main dsa interface for me is eth0 and it does not see any
> incoming vlan tagged packets. (Except that sometimes for those 5 minutes
> periods it sometimes see them. And when tcpdump saw them also they
> arrived to userspace.)

I think having Vivien's debugfs patch would be really useful to take
this further forward. This patch provides direct access to the atu
(address translation unit) entries, vtu (vlan translation unit)
entries and all the device registers. The atu takes a long time to
dump.

It also allows for some experimentation, by writing these files,
entries can be added to or removed from the translation units, and
registers written.

I think dumping the on-chip ATU contents with it in the "working"
state and the "non-working" state may be revealing.

I'm afraid that I couldn't tell you where to get Vivien's debugfs
patch from; I'm using an old version that I've ported forward to
subsequent kernels - probably much like anyone else who gets their
hands dirty with Marvell DSA hacking.  Vivien's copied on this
thread already, so might chime in...

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up